Loading...
Searching...
No Matches
OBAromaticTyper Class Reference

`#include <openbabel/typer.h>`

## Public Member Functions

| OBAromaticTyper ()
| ~OBAromaticTyper ()
void | AssignAromaticFlags (OBMol &)

## Detailed Description

Assigns aromatic typing to atoms and bonds.

The OBAromaticTyper class applies a set of aromatic perception rules to molecules. The code that performs typing is not usually used directly – it is usually done automatically when their corresponding values are requested of atoms or bonds.

atom->IsAromatic();
bond->IsAromatic();

## Constructor & Destructor Documentation

## OBAromaticTyper()

OBAromaticTyper | ( |  | ) |

inline

## ~OBAromaticTyper()

~OBAromaticTyper | ( |  | ) |

inline

## Member Function Documentation

## AssignAromaticFlags()

void AssignAromaticFlags | ( | OBMol & | mol | ) |

Assign aromaticity flag to atoms and bonds.

The documentation for this class was generated from the following files:

- typer.h
- typer.cpp